bm::compressed_collection_deserializer< CBC > Class Template Reference

Deseriaizer for compressed collections. More...

`#include <bmsparsevec_serial.h>`

## Public Types

typedef CBC | compressed_collection_type
typedef CBC::bvector_type | bvector_type
typedef bvector_type::allocator_type | allocator_type
typedef CBC::buffer_type | buffer_type
typedef CBC::statistics | statistics_type
typedef CBC::address_resolver_type | address_resolver_type
typedef CBC::container_type | container_type

## Public Member Functions

int | deserialize (CBC &buffer_coll, const unsigned char *buf, bm::word_t *temp_block=0)

## Detailed Description

template<class CBC>
class bm::compressed_collection_deserializer< CBC >

Deseriaizer for compressed collections.

Definition at line 586 of file bmsparsevec_serial.h.

## Member Typedef Documentation

## address_resolver_type

template<class CBC>

typedef CBC::address_resolver_type bm::compressed_collection_deserializer< CBC >::address_resolver_type

Definition at line 594 of file bmsparsevec_serial.h.

## allocator_type

template<class CBC>

typedef bvector_type::allocator_type bm::compressed_collection_deserializer< CBC >::allocator_type

Definition at line 591 of file bmsparsevec_serial.h.

## buffer_type

template<class CBC>

typedef CBC::buffer_type bm::compressed_collection_deserializer< CBC >::buffer_type

Definition at line 592 of file bmsparsevec_serial.h.

## bvector_type

template<class CBC>

typedef CBC::bvector_type bm::compressed_collection_deserializer< CBC >::bvector_type

Definition at line 590 of file bmsparsevec_serial.h.

## compressed_collection_type

template<class CBC>

typedef CBC bm::compressed_collection_deserializer< CBC >::compressed_collection_type

Definition at line 589 of file bmsparsevec_serial.h.

## container_type

template<class CBC>

typedef CBC::container_type bm::compressed_collection_deserializer< CBC >::container_type

Definition at line 595 of file bmsparsevec_serial.h.

## statistics_type

template<class CBC>

typedef CBC::statistics bm::compressed_collection_deserializer< CBC >::statistics_type

Definition at line 593 of file bmsparsevec_serial.h.

## Member Function Documentation

## deserialize()

template<class CBC>

int bm::compressed_collection_deserializer< CBC >::deserialize | ( | CBC & | buffer_coll,
|  | const unsigned char * | buf,
|  | bm::word_t * | temp_block = 0 )

Definition at line 701 of file bmsparsevec_serial.h.

References BM_ASSERT, bm::deserialize(), bm::decoder::get_64(), bm::decoder_base::get_8(), bm::decoder_base::get_pos(), bm::decoder_base::memcpy(), and bm::decoder_base::seek().

The documentation for this class was generated from the following file:

- bmsparsevec_serial.h